## fanwor 1.16

=== Makefile ===

all:
	$(MAKE) -C src

clean:
	$(RM) fanwor
	$(MAKE) -C src clean

=== fawned/Makefile ===
#Makefile for "FAWNED - The FANWOR EDITOR"

OBS=fedinit.o fedgraf.o fedkeys.o feddisk.o fedmain.o \
    sdlgui.o dlgAlert.o dlgFileSelect.o file.o
FWOBS=../src/fwdata.o ../src/arch/sdl/loadpng.o

CFLAGS = -g -O1 -Wall $(shell sdl-config --cflags)
CPPFLAGS = -I../src -I../src/arch/sdl
LIBS = -lpng $(shell sdl-config --libs)

fawned: $(OBS) $(FWOBS)
	$(CC) $(OBS) $(FWOBS) $(LIBS) -o fawned

fedinit.o: feddefs.h fedmain.h fedgraf.h

fedgraf.o: fedgraf.c feddefs.h fedmain.h ../src/fwdata.c ../src/fwdefs.h

fedkeys.o: fedmain.h

fedmain.o: fedmain.c feddefs.h fedinit.h fedgraf.h ../src/level.h ../src/fwdefs.h

feddisk.o: ../src/level.h

$(FWOBS):
	$(MAKE) -C ../src

clean:
	$(RM) fawned *.o *.bak

=== src/Makefile ===
# ***Makefile for Fanwor***

# Select your architecture:
# - sdl   : Linux/Unix SDL Library
# - atari : Atari GEM
ARCH=sdl

# If you don't need/want music on Linux with the SDL-Mixer lib,
# you can comment out the following two lines:
SOUNDLIB = -lSDL_mixer
SOUNDCFL = -DWITH_SOUND

# What io library do we need? Perhaps you also have to edit this:
LIBS_sdl = -lpng $(shell sdl-config --libs) -lz $(SOUNDLIB)
LIBS_atari = -laes -lvdi

# System specific CFLAGS:
CFL_sdl = $(shell sdl-config --cflags) $(SOUNDCFL) -g -O2 \
	  -Wall -Wmissing-prototypes -Wstrict-prototypes
CFL_atari = 


ARCHDIR=./arch/$(ARCH)

CFLAGS=-I. -I./arch/$(ARCH) $(CFL_$(ARCH))

LIBS = $(LIBS_$(ARCH))


OBS_MAIN = fwdisk.o fwfight.o fwreact.o fwmain.o fwdata.o
OBS_ARCH = $(ARCHDIR)/fwguiini.o $(ARCHDIR)/fwgui.o $(ARCHDIR)/fwgraf.o $(ARCHDIR)/fwmusic.o
OBS_atari = ./arch/atari/loadimg.o ./arch/atari/windial.o ./arch/atari/fw_asm.o
OBS_sdl = ./arch/sdl/loadpng.o
OBS_XTRA = $(OBS_$(ARCH))


fanwor: $(OBS_MAIN) $(OBS_ARCH) $(OBS_XTRA)
	$(CC) $(OBS_MAIN) $(OBS_ARCH) $(OBS_XTRA) $(LIBS) -o../fanwor



fwmain.o: fwdefs.h
fwreact.o: fwdefs.h
fwdisc.o: level.h


clean:
	$(RM) $(OBS_MAIN) $(OBS_ARCH) $(OBS_XTRA) *.bak *~

=== debian/changelog ===
fanwor (1.16-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:38 +1100

fanwor (1.16-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:27:43 +0000

fanwor (1.16-1) unstable; urgency=medium

  * Initial release. (Closes: #1042803)
  * pass through CFLAGS & LDFLAGS from env
  * d/copyright: fix license tokens
  * teach fanwor to look for its resources in DATADIR
    set DATADIR to /usr/share/fanwor
  * add icon and desktop entry for fanwor
  * use PATH_MAX to avoid errors on the tiny filename buffers
  * start fanwor in fullscreen mode

 -- Joseph Nahmias <jello@debian.org>  Sun, 06 Aug 2023 00:34:36 -0400

=== debian/control ===
Source: fanwor
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joseph Nahmias <jello@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libpng-dev,
 libsdl1.2-compat-dev,
 libsdl-mixer1.2-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://fanwor.tuxfamily.org/
Vcs-Browser: https://salsa.debian.org/games-team/fanwor
Vcs-Git: https://salsa.debian.org/games-team/fanwor.git

Package: fanwor
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: top-down action-adventure game similar to Zelda
 Fanwor is an action-adventures in the style of the game "The Legend of
 Zelda" (© by Nintendo). The basic story is that monsters stole the
 eight Gems of Power and have hidden them in dungeons across the world.
 You play as the hero trying to recover these gems.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DATADIR = /usr/share/fanwor

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

execute_after_dh_auto_build:
	convert graphics/sprites.png -crop 32x32+0+128 debian/fanwor.png

%:
	dh $@

=== debian/watch ===
version=4

https://fanwor.tuxfamily.org/ files/fanwor-([\d\.]+)\.tar\.gz
